Index: components/blackjack/Blackjack.jsx
===================================================================
--- components/blackjack/Blackjack.jsx	(revision 285c3cc6d8962d6a01d8b88f202814829bd63d98)
+++ components/blackjack/Blackjack.jsx	(revision e9f11ac9f7bd22275a5c60c88cfbc767f040a8e6)
@@ -1,7 +1,7 @@
 import React from 'react'
 
+import Head from 'next/head'
+
 import BlackjackHeader from './BlackjackHeader'
-
-import Head from 'next/head'
 import PlayButtons from '../../components/blackjack/PlayButtons'
 import Cards from '../../components/blackjack/Cards'
@@ -13,5 +13,5 @@
 const Blackjack = () => {
   return (
-    <div className="app" style={{backgroundImage: 'url("/images/blackjack-bg.png")', backgroundPosition: '0% 30%'}}>
+    <div className="app blackjackMainContainer" style={{backgroundImage: 'url("/images/blackjack-bg.png")', backgroundPosition: '0% 30%'}}>
       <Head>
         <title>Caessino - Blackjack</title>
Index: components/blackjack/BlackjackHeader.jsx
===================================================================
--- components/blackjack/BlackjackHeader.jsx	(revision 285c3cc6d8962d6a01d8b88f202814829bd63d98)
+++ components/blackjack/BlackjackHeader.jsx	(revision e9f11ac9f7bd22275a5c60c88cfbc767f040a8e6)
@@ -10,5 +10,5 @@
 import { useDispatch, useSelector } from 'react-redux'
 
-import { setGame, setPlayer } from '../../redux/reducers/playerSlice'
+import { setBlackjackGame, setPlayer } from '../../redux/reducers/playerSlice'
 import { setBlackjack, setStyle } from '../../redux/reducers/styleSlice'
 
@@ -50,6 +50,6 @@
                 }));
 
-                dispatch(setGame({
-                    ...playerState.game,
+                dispatch(setBlackjackGame({
+                    ...playerState.blackjackGame,
                     status: res.data?.status,
                     playerCards: res.data?.playerCards,
@@ -224,5 +224,5 @@
                             initialBet: {
                                 ...styleState.blackjack.inputControls.initialBet,
-                                chosenCredits: parseInt(postgreRes.data?.credits/2),
+                                chosenCredits: parseInt(res.data?.credits/2),
                             }
                         },
Index: components/blackjack/Cards.jsx
===================================================================
--- components/blackjack/Cards.jsx	(revision 285c3cc6d8962d6a01d8b88f202814829bd63d98)
+++ components/blackjack/Cards.jsx	(revision e9f11ac9f7bd22275a5c60c88cfbc767f040a8e6)
@@ -22,8 +22,8 @@
   return (
     <div className="blackjackCards">
-      {playerState?.game?.playerCards?.map((card, i) => (
+      {playerState?.blackjackGame?.playerCards?.map((card, i) => (
         <Card key={card} card={card} rotateZ={i*splitCardsMultiplyByInt} pos={{left: playerPos.left+i*splitCardsMultiplyByInt, top: playerPos.top}}/>
       ))}
-      {playerState?.game?.dealerCards?.map((card, i) => (
+      {playerState?.blackjackGame?.dealerCards?.map((card, i) => (
         <Card key={card} card={card} rotateZ={i*splitCardsMultiplyByInt} pos={{left: dealerPos.left+i*splitCardsMultiplyByInt, top: dealerPos.top}}/>
       ))}
Index: components/blackjack/DisplayBet.jsx
===================================================================
--- components/blackjack/DisplayBet.jsx	(revision 285c3cc6d8962d6a01d8b88f202814829bd63d98)
+++ components/blackjack/DisplayBet.jsx	(revision e9f11ac9f7bd22275a5c60c88cfbc767f040a8e6)
@@ -7,6 +7,6 @@
   const styleState = useSelector(state => state.style);
 
-  let display = parseInt(playerState.game.status.substr(1, 1)) >= 2 ? 'block' : 'none';
-  let displaySideBet = ( parseInt(playerState.game.status.substr(1, 1)) >= 3 && parseInt(styleState.blackjack.inputControls.sideBet.chosenCredits) > 0 ) ? 'block' : 'none';
+  let display = parseInt(playerState.blackjackGame.status.substr(1, 1)) >= 2 ? 'block' : 'none';
+  let displaySideBet = ( parseInt(playerState.blackjackGame.status.substr(1, 1)) >= 3 && parseInt(styleState.blackjack.inputControls.sideBet.chosenCredits) > 0 ) ? 'block' : 'none';
 
   return (
Index: components/blackjack/PlayButtons.jsx
===================================================================
--- components/blackjack/PlayButtons.jsx	(revision 285c3cc6d8962d6a01d8b88f202814829bd63d98)
+++ components/blackjack/PlayButtons.jsx	(revision e9f11ac9f7bd22275a5c60c88cfbc767f040a8e6)
@@ -4,5 +4,5 @@
 import { AiFillCheckCircle } from 'react-icons/ai'
 
-import { setGame, setPlayer } from '../../redux/reducers/playerSlice';
+import { setBlackjackGame, setPlayer } from '../../redux/reducers/playerSlice';
 import { setBlackjack, setStyle } from '../../redux/reducers/styleSlice';
 
@@ -46,6 +46,6 @@
         axios.get(`/api/blackjack?action=make_initial_bet&session_id=${localStorage.CAESSINO_SESSION_ID}&bet=${styleState.blackjack.inputControls.initialBet.chosenCredits}`).then(res => {
             if (res.data?.success) {
-                dispatch(setGame({
-                    ...playerState.game,
+                dispatch(setBlackjackGame({
+                    ...playerState.blackjackGame,
                     status: res.data?.status,
                 }))
@@ -124,6 +124,6 @@
         const texts = splitTexts(e.target.innerHTML);
 
-        dispatch(setGame({
-            ...playerState.game,
+        dispatch(setBlackjackGame({
+            ...playerState.blackjackGame,
             sideBetName: sideBetName
         }))
@@ -145,8 +145,8 @@
 
     function placeSideBetClicked() {
-        axios.get(`/api/blackjack?action=make_side_bet&session_id=${localStorage.CAESSINO_SESSION_ID}&bet=${styleState.blackjack.inputControls.sideBet.chosenCredits}&betName=${playerState.game.sideBetName}`).then(res => {
-            if (res.data?.success) {
-                dispatch(setGame({
-                    ...playerState.game,
+        axios.get(`/api/blackjack?action=make_side_bet&session_id=${localStorage.CAESSINO_SESSION_ID}&bet=${styleState.blackjack.inputControls.sideBet.chosenCredits}&betName=${playerState.blackjackGame.sideBetName}`).then(res => {
+            if (res.data?.success) {
+                dispatch(setBlackjackGame({
+                    ...playerState.blackjackGame,
                     status: res.data?.status,
                 }))
@@ -201,6 +201,6 @@
         axios.get(`/api/blackjack?action=get_initial_cards&session_id=${localStorage.CAESSINO_SESSION_ID}`).then(res => {
             if (res.data?.success) {
-                dispatch(setGame({
-                    ...playerState.game,
+                dispatch(setBlackjackGame({
+                    ...playerState.blackjackGame,
                     status: res.data?.status,
                     playerCards: res.data?.playerCards,
@@ -210,6 +210,6 @@
                 if (res.data?.sideBetOutcome !== '') {
                     if (res.data.sideBetOutcome === 'side_bet_won') {
-                        dispatch(setGame({
-                            ...playerState.game,
+                        dispatch(setBlackjackGame({
+                            ...playerState.blackjackGame,
                             credits: res.data?.credits,
                         }))
@@ -250,6 +250,6 @@
         axios.get(`/api/blackjack?action=hit_a_card&session_id=${localStorage.CAESSINO_SESSION_ID}`).then(res => {
             if (res.data?.success) {
-                dispatch(setGame({
-                    ...playerState.game,
+                dispatch(setBlackjackGame({
+                    ...playerState.blackjackGame,
                     status: res.data?.status,
                     playerCards: res.data?.playerCards,
@@ -284,6 +284,6 @@
         axios.get(`/api/blackjack?action=stand&session_id=${localStorage.CAESSINO_SESSION_ID}`).then(res => {
             if (res.data?.success) {
-                dispatch(setGame({
-                    ...playerState.game,
+                dispatch(setBlackjackGame({
+                    ...playerState.blackjackGame,
                     status: res.data?.status,
                     playerCards: res.data?.playerCards,
